## org.apache.cassandra.gms
Class EndPointState

    java.lang.Object
      org.apache.cassandra.gms.EndPointState

    public class EndPointState

extends java.lang.Object

This abstraction represents both the HeartBeatState and the ApplicationState in an EndPointState instance. Any state for a given endpoint can be retrieved from this instance.

Method Summary
`ApplicationState` `getApplicationState(java.lang.String key)`
`java.util.Map<java.lang.String,ApplicationState>` `getApplicationStateMap()`
`boolean` `getHasToken()`
`java.util.List<java.util.Map.Entry<java.lang.String,ApplicationState>>` `getSortedApplicationStates()`
`boolean` `isAlive()`
`static ICompactSerializer<EndPointState>` `serializer()`
`void` `setHasToken(boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### serializer

    public static ICompactSerializer<EndPointState> serializer()

### getApplicationState

    public ApplicationState getApplicationState(java.lang.String key)

### getApplicationStateMap

    public java.util.Map<java.lang.String,ApplicationState> getApplicationStateMap()

### isAlive

    public boolean isAlive()

### setHasToken

    public void setHasToken(boolean value)

### getHasToken

    public boolean getHasToken()

### getSortedApplicationStates

    public java.util.List<java.util.Map.Entry<java.lang.String,ApplicationState>> getSortedApplicationStates()

Copyright © 2010 The Apache Software Foundation